Bug 818171 - RHEVM - Admin GUI: Misleading red error on copy template [TEXT]
RHEVM - Admin GUI: Misleading red error on copy template [TEXT]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: 3.1.0
Assigned To: Tal Nisan
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 07:29 EDT by Daniel Paikov
Modified: 2016-02-10 12:00 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:06:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Paikov 2012-05-02 07:29:00 EDT
When trying top copy template for a template that exists on all available storage domains, the following red error is seen: "No Storage Domain is available - check Storage Domains and Hosts status."

This is a misleading error, it should be changed to something similar to the move VM error, which is this:
"The system could not find available target Storage Domain. Possible reasons: - No active Storage Domain available - The Template that the VM is based on does not exist on active Storage Domain"
Comment 1 Einav Cohen 2012-05-12 13:49:22 EDT
consult PM for exact phrasing.
Comment 2 Tal Nisan 2012-05-20 04:29:05 EDT
Miki, what should be the error message?
Comment 3 Simon Grinberg 2012-05-20 07:28:27 EDT
(In reply to comment #0)
> When trying top copy template for a template that exists on all available
> storage domains, the following red error is seen: "No Storage Domain is
> available - check Storage Domains and Hosts status."

Can't say I understand the scenario.
Do you mean copy a template disk to another storage domain such that the template exists on both? (for VM creation on both?). If this is the case then the message below is more then confusing. 

Can you alaborate? 

> 
> This is a misleading error, it should be changed to something similar to the
> move VM error, which is this:
> "The system could not find available target Storage Domain. Possible
> reasons: - No active Storage Domain available - The Template that the VM is
> based on does not exist on active Storage Domain"
Comment 4 Daniel Paikov 2012-05-20 07:38:59 EDT
(In reply to comment #3)
> (In reply to comment #0)
> > When trying top copy template for a template that exists on all available
> > storage domains, the following red error is seen: "No Storage Domain is
> > available - check Storage Domains and Hosts status."
> 
> Can't say I understand the scenario.
> Do you mean copy a template disk to another storage domain such that the
> template exists on both? (for VM creation on both?). If this is the case
> then the message below is more then confusing. 
> 
> Can you alaborate? 
> 
> > 
> > This is a misleading error, it should be changed to something similar to the
> > move VM error, which is this:
> > "The system could not find available target Storage Domain. Possible
> > reasons: - No active Storage Domain available - The Template that the VM is
> > based on does not exist on active Storage Domain"

Yes, this scenario is trying to copy a template to another domain while this template exists on all available domains. The error "No Storage Domain is available - check Storage Domains and Hosts status" sounds as if there must be something wrong with the setup (and there isn't). We should indicate that the most common issue is that the template simply exists on all domains.
Comment 5 Tal Nisan 2012-05-21 05:17:30 EDT
After discussing with Simon, the message will be changed to:

"This disk is already available on all active storage domains"
Comment 6 Yaniv Kaul 2012-05-21 09:23:43 EDT
In which build was it fixed?
Comment 7 Tal Nisan 2012-06-03 07:08:46 EDT
si4
Comment 8 Dafna Ron 2012-06-05 05:27:17 EDT
verified on si4

Note You need to log in before you can comment on or make changes to this bug.